@import "_colors";

.table-fix-header {
  overflow-y: auto;
  height: 100px;
}
.table-fix-header thead th {
  position: sticky;
  top: 0;
}

/* Just common table stuff. Really. */
table {
  border-collapse: collapse;
  width: 100%;
}

:host {
  display: block;
  table {
    margin: -1px; // borders make ugly x-scrollbar
    border-collapse: collapse;
    display: table;
    font-size: 12px;
    text-align: center;
    font-size: bold;
    thead {
      tr {
        th {
          background: $secondary;
          color: $def-white;
          padding: 8px;
          text-transform: uppercase;
          &:nth-of-type(1) {
            border-radius: 16px 0px 0px 0px;
          }
          &:nth-last-of-type(1) {
            border-radius: 0px 16px 0px 0px;
          }
        }
      }
    }
    tbody {
      tr {
        &:nth-last-of-type(1) {
          td {
            &:nth-of-type(1) {
              border-radius: 0px 0px 0px 16px;
            }
            &:nth-last-of-type(1) {
              border-radius: 0px 0px 16px 0px;
            }
          }
        }
        td {
          border: 1px solid $def-white;
          font-weight: bold;
          padding: 16px;
          vertical-align: top;
          background: #f1f2f4;
          color: $def-black;
          &.active {
            color: $primary;
            background: #efe0e6;
          }
        }
      }
    }
  }
}
